> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rastro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Workflow

> Execute a workflow with input data.

- **workflow_id**: The ID of the workflow to execute
- **input**: List of input data records to process

Returns execution info including workflow_run_id for polling.



## OpenAPI

````yaml /api-reference/openapi.json post /public/workflows/{workflow_id}/execute
openapi: 3.1.0
info:
  title: Rastro Public API
  description: >-
    Public API for enrichment, catalog management, workflows, activities,
    snapshots, taxonomy, and MCP integrations.
  version: 0.1.0
servers:
  - url: https://catalogapi.rastro.ai/api
security:
  - bearerAuth: []
paths:
  /public/workflows/{workflow_id}/execute:
    post:
      tags:
        - Flows
      summary: Execute Workflow
      description: |-
        Execute a workflow with input data.

        - **workflow_id**: The ID of the workflow to execute
        - **input**: List of input data records to process

        Returns execution info including workflow_run_id for polling.
      operationId: execute_workflow_api_public_workflows__workflow_id__execute_post
      parameters:
        - name: workflow_id
          in: path
          required: true
          schema:
            type: string
            title: Workflow Id
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicWorkflowExecuteRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicWorkflowExecuteResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    PublicWorkflowExecuteRequest:
      properties:
        input:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Input
          description: Input data records to process through the workflow
        cancel_existing:
          type: boolean
          title: Cancel Existing
          description: Cancel any currently running executions before starting this one
          default: false
      type: object
      required:
        - input
      title: PublicWorkflowExecuteRequest
      description: Request to execute a workflow with input data
    PublicWorkflowExecuteResponse:
      properties:
        workflow_run_id:
          type: string
          title: Workflow Run Id
        workflow_id:
          type: string
          title: Workflow Id
        workflow_name:
          type: string
          title: Workflow Name
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        poll_url:
          type: string
          title: Poll Url
        workflow_url:
          type: string
          title: Workflow Url
        total_nodes:
          type: integer
          title: Total Nodes
        message:
          type: string
          title: Message
      type: object
      required:
        - workflow_run_id
        - workflow_id
        - workflow_name
        - status
        - created_at
        - poll_url
        - workflow_url
        - total_nodes
        - message
      title: PublicWorkflowExecuteResponse
      description: Response from workflow execution start
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Rastro API key or user token

````